package com.mortals.xhx.module.customer.dao;

import com.mortals.framework.dao.ICRUDDao;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.xhx.module.customer.model.CustomerEntity;
import com.mortals.xhx.module.customer.model.CustomerEntityExt;
import com.mortals.xhx.module.customer.model.vo.CustomerCensusVo;
import com.mortals.xhx.module.customer.model.vo.CustomerDesignCensusVo;

import java.util.List;

/**
* 客户管理Dao
* 客户管理 DAO接口
*
* @author zxfei
* @date 2022-06-08
*/
public interface  CustomerDao extends ICRUDDao<CustomerEntity,Long>{

    Result<CustomerEntityExt> getListExt(CustomerEntity params, PageInfo pageInfo);

    List<CustomerCensusVo> getCensus();

    CustomerDesignCensusVo getDesignCensus();
}
