ALTER TABLE `mortals_xhx_customer` ADD COLUMN `openId` varchar(128) DEFAULT NULL  COMMENT '微信openid';

ALTER TABLE `mortals_xhx_customer_work_design` MODIFY COLUMN `updateTime` datetime DEFAULT NULL COMMENT '更新时间';
ALTER TABLE `mortals_xhx_customer_work_design_stat` MODIFY COLUMN `updateTime` datetime DEFAULT NULL COMMENT '更新时间';

ALTER TABLE `mortals_xhx_customer_work_design` ADD COLUMN `designType` tinyint(2) NOT NULL   DEFAULT '1'  COMMENT '作品类型：1:图片，2:视频';
ALTER TABLE `mortals_xhx_design_masterplate` ADD COLUMN `designType` tinyint(2) NOT NULL   DEFAULT '1'  COMMENT '作品类型：1:图片，2:视频';
ALTER TABLE `mortals_xhx_customer_work_collect` ADD COLUMN `designType` tinyint(2) NOT NULL   DEFAULT '1'  COMMENT '作品类型：1:图片，2:视频';

-----------------------
--2023-09-12
---------------------
ALTER TABLE `mortals_xhx_user`
ADD COLUMN `saltKey` varchar(32)  DEFAULT NULL  COMMENT '密码盐值',
ADD COLUMN `lastUpdatePwdTime` datetime  DEFAULT NULL  COMMENT '最后一次修改密码时间',
ADD COLUMN `errorCount` tinyint(2)  DEFAULT '0'  COMMENT '当日登录失败数',
ADD COLUMN `loginLock` tinyint(2)  DEFAULT '0'  COMMENT '登录锁定状态0未锁定1已锁定',
ADD COLUMN `lockTime` datetime DEFAULT NULL COMMENT '锁定时间';

-- ----------------------------
-- 用户密码修改记录表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_user_pwd_record`;
CREATE TABLE `mortals_xhx_user_pwd_record` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `userId` bigint(20) DEFAULT NULL COMMENT '用户ID，主键，自增长',
  `loginName` varchar(50) DEFAULT NULL COMMENT '登录名',
  `loginPwd` varchar(128) DEFAULT NULL COMMENT '登录密码，使用md5双次加密',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户密码修改记录';

UPDATE mortals_xhx_user SET lastUpdatePwdTime=NOW();

ALTER TABLE `mortals_xhx_customer`
ADD COLUMN `saltKey` varchar(32)  DEFAULT NULL  COMMENT '密码盐值',
ADD COLUMN `lastUpdatePwdTime` datetime  DEFAULT NULL  COMMENT '最后一次修改密码时间',
ADD COLUMN `errorCount` tinyint(2)  DEFAULT '0'  COMMENT '当日登录失败数',
ADD COLUMN `loginLock` tinyint(2)  DEFAULT '0'  COMMENT '登录锁定状态0未锁定1已锁定',
ADD COLUMN `lockTime` datetime DEFAULT NULL COMMENT '锁定时间';

-- ----------------------------
-- 客户密码修改记录表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_customer_pwd_record`;
CREATE TABLE `mortals_xhx_customer_pwd_record` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `userId` bigint(20) DEFAULT NULL COMMENT '客户ID，主键，自增长',
  `loginName` varchar(50) DEFAULT NULL COMMENT '登录名',
  `loginPwd` varchar(128) DEFAULT NULL COMMENT '登录密码，使用md5双次加密',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='客户密码修改记录';

UPDATE mortals_xhx_customer SET lastUpdatePwdTime=NOW();