package com.mortals.xhx.module.customer.model;

import com.mortals.xhx.base.system.user.model.UserPwdRecordEntity;
import com.mortals.xhx.module.customer.model.vo.CustomerPwdRecordVo;
import lombok.Data;

@Data
public class CustomerPwdRecordEntity extends CustomerPwdRecordVo {
    private static final long serialVersionUID = 1L;

    /**
     * 用户ID，主键，自增长
     */
    private Long userId;
    /**
     * 登录名
     */
    private String loginName;
    /**
     * 登录密码，使用md5双次加密
     */
    private String loginPwd;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CustomerPwdRecordEntity) {
            CustomerPwdRecordEntity tmp = (CustomerPwdRecordEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

        this.userId = -1L;

        this.loginName = "";

        this.loginPwd = "";
    }
}
