package com.mortals.xhx.module.question.service;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.question.model.QuestionRecordEntity;

/**
* QuestionRecordService
*
* 问答记录信息 service接口
*
* @author zxfei
* @date 2022-06-28
*/
public interface QuestionRecordService extends ICRUDService<QuestionRecordEntity,Long>{

    /**
     * 咨询
     * @param entity
     * @param context
     * @return
     */
    QuestionRecordEntity ask(QuestionRecordEntity entity, Context context) throws AppException;

    /**
     * 回复
     * @param entity
     * @param context
     * @return
     */
    QuestionRecordEntity answer(QuestionRecordEntity entity, Context context) throws AppException;
}